import { DangerousChange, BreakingChange } from 'graphql';
export interface Headers {
    [key: string]: string;
}
export interface DiffResponse {
    diff: string;
    diffNoColor: string;
    dangerousChanges: DangerousChange[];
    breakingChanges: BreakingChange[];
}
export interface DiffOptions {
    leftSchema?: {
        headers?: Headers;
    };
    rightSchema?: {
        headers?: Headers;
    };
    headers?: Headers;
    sortSchema?: boolean;
}
export declare function getDiff(leftSchemaLocation: string, rightSchemaLocation: string, options?: DiffOptions): Promise<DiffResponse | undefined>;
